%define upstream_name    HTML-Latemp-NavLinks-GenHtml
%define upstream_version 0.2.9

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A class to generate the image-based HTML of the navigation links
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Template)
BuildRequires: perl(Template::Stash)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module generates text navigation links. 'root' is the relative path to
the site's root directory. 'nav_links' are the navigation links' objects
hash as returned by the HTML::Widgets::NavMenu manpage or something
similar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.9-3.mga10
+ Revision: 2206304
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.9-2.mga9
+ Revision: 1812853
- Mageia 9 Mass Rebuild

* Fri Jul 03 2020 tv <tv> 0.2.9-1.mga8
+ Revision: 1601605
- update to 0.2.9

* Thu Jun 25 2020 tv <tv> 0.2.8-1.mga8
+ Revision: 1599173
- update to 0.2.8

* Wed Feb 12 2020 umeabot <umeabot> 0.2.6-4.mga8
+ Revision: 1494926
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.6-3.mga7
+ Revision: 1268491
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.6-2.mga6
+ Revision: 1028231
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.2.6-1.mga6
+ Revision: 919569
- update to 0.2.6

* Thu Jun 25 2015 shlomif <shlomif> 0.2.4-1.mga6
+ Revision: 843191
- update to 0.2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-3.mga5
+ Revision: 748016
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-2.mga5
+ Revision: 684944
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.2.3-1.mga5
+ Revision: 617837
- update to v0.2.3

* Tue Feb 04 2014 shlomif <shlomif> 0.2.2-1.mga5
+ Revision: 581180
- update to v0.2.2

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-3.mga4
+ Revision: 511972
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 368029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.2.1-1.mga3
+ Revision: 330206
- update to v0.2.1

* Fri Aug 31 2012 shlomif <shlomif> 0.1.8-1.mga3
+ Revision: 286685
- imported package perl-HTML-Latemp-NavLinks-GenHtml


* Fri Aug 31 2012 cpan2dist 0.1.8-1mga
- initial mageia release, generated with cpan2dist
